<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="DimoNetwork.ProxyWeb.SysRoot.WebForm1" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="js/jquery.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            //$(".click").click(function () {
            //    $(".tip").fadeIn(200);
            //});

            $(".tiptop a").click(function () {
                $(".tip").fadeOut(200);
            });

            $(".sure").click(function () {
                $(".tip").fadeOut(100);
            });

            $(".cancel").click(function () {
                $(".tip").fadeOut(100);
            });

        });
    </script>
    <style type="text/css">
        .auto-style1 {
            height: 70px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div class="place">
            <span>位置：</span>
            <ul class="placeul">
                <li><a href="/SysRoot/index.aspx">首页</a></li>
                <li><a href="/SysRoot/ProxyOperatorManage.aspx">捕鱼及时分</a></li>
            </ul>
        </div>

        <div class="rightinfo">

            <div class="tools">

               <%-- <asp:Button ID="Button1" runat="server" Text="强制刷新" OnClick="Button1_Click" Height="38px" Width="200px" />--%>

                <asp:Button ID="Button2" runat="server" Text="刷新" OnClick="Button2_Click" Height="38px" Width="200px" />
                <asp:TextBox ID="TextBox1" runat="server" Height="38" Width="250" BackColor="#99FF99"></asp:TextBox><asp:Button ID="Button3" runat="server" Text="查询" Height="38px" Width="200px" OnClick="Button3_Click" />
            </div>


            <table class="tablelist">
                <thead>
                    <tr>
                        <th>用户ID</th>
                        <th>金额</th>
                        <th>炮值</th>
                        <th>游戏名称</th>
                        <th style="display: <%= Proxy.kz.ToString() == "1" ? "block":"none"%>">输赢控制</th>
                        <th style="display: <%= Proxy.kz.ToString() == "1" ? "block":"none"%>">送分</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    <asp:Repeater ID="reptDataPager" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td><%#Eval("userid")%></td>
                                <td><%#Eval("vlaue")%></td>
                                <td><%#Eval("paozhi")%></td>
                                <td><%#Eval("ServerName")%></td>
                                <td style="display: <%= Proxy.kz.ToString() == "1" ? "block":"none"%>">
                                    <p>捕鱼+5合1</p>
                                    <input type="text" value="<%#Eval("ControlScore")%>" class="scinput" placeholder="" id='<%#Eval("userid")+"1" %>' name="<%#Eval("userid")+"1"%>">
                                    <label>&nbsp;</label>
                                    <a href="#" onclick="gamecontrol(<%# Eval("UserId")%>)" class='tablelink'>送分</a>
                                </td>
                               <%-- <td style="display: <%= Proxy.kz.ToString() == "1" ? "block":"none"%>">
                                    <p>3合1：</p>
                                    <input type="text" value="<%#Eval("ControlScore1")%>" class="scinput" placeholder="" id='<%#Eval("userid")%>' name="<%#Eval("userid")%>">
                                    <label>&nbsp;</label>
                                    <a href="#" onclick="gamecontrol1(<%# Eval("UserId")%>)" class='tablelink'>送分</a>
                                </td>--%>
                                <td></td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </tbody>
            </table>


        </div>

        <script type="text/javascript">
            function freezeUsre(uid, op) {
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "freezeuser", uid: uid, op: op },
                    success: function (data) {
                        if (data == "success") {
                            alert("操作成功！");
                            window.location.reload();
                        } else {
                            alert("操作失败！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("发生错误：" + error);
                    }
                });
            }

            function unlock(uid, islock) {
                if (islock == 'False') {
                    alert("已经解锁，无需再次解锁！");
                    return;
                }
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "unlock", uid: uid },
                    success: function (data) {
                        if (data == "success") {
                            alert("解锁成功！");
                            window.location.reload();
                        } else {
                            alert("解锁失败！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("解锁发生错误：" + error);
                    }
                });
            }
            function gamecontrol(uid) {
                var sf = document.getElementById(uid + '1').value;
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "gamecontrol", uid: uid, controlvalue: sf },
                    success: function (data) {
                        if (data == "success") {
                            alert("送分成功！");
                            window.location.reload();
                        } else {
                            alert("送分成功！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("送分成功！");
                    }
                });
            }
            function gamecontrol1(uid) {
                var sf = document.getElementById(uid).value;
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "gamecontrol1", uid: uid, controlvalue: sf },
                    success: function (data) {
                        if (data == "success") {
                            alert("送分成功！");
                            window.location.reload();
                        } else {
                            alert("送分成功！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("送分成功！");
                    }
                });
            }
            $('.tablelist tbody tr:odd').addClass('odd');
        </script>
    </form>
</body>
</html>
